List Recipients for a User
Note – Endpoint returns filtered list by default
By default, this endpoint returns only recipients with the RecipientScope value of PAYOUT. Specify ALL to retrieve both PAYIN and PAYOUT recipients, or PAYIN to retrieve only pay-in recipients.
By default, results are sorted by CreationDate in descending order.
List recipients created for a UserId
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
If your platform is using a proxy to take SCA-triggering action on behalf of users, you also need to integrate mTLS authentication and use the api-mtls base URL.
Path parameters
Query parameters
Start value: 1
Default value: 1
Indicates the index of the page for the pagination.
Min. value: 1; max. value: 100
Default value: 10
Indicates the number of items returned for each page of the pagination.
Possible values: CreationDate:ASC, CreationDate:DESC
Default value: CreationDate:DESC
Indicates the direction in which to sort the list.
Possible values: ALL, PAYOUT, PAYIN
Default value: PAYOUT
By default, this endpoint returns only recipients with the RecipientScope value of PAYOUT.
Specify ALL to retrieve both PAYIN and PAYOUT recipients, or PAYIN to retrieve only pay-in recipients.
Read more about recipient scopes in the guide.
Response
Max length: 128 characters (see data formats for details)
The unique identifier of the object.
Unix timestamp (UTC) of the date and time the object was created.
Length: 1–50; cannot contain: &,'/ (pattern:^(?!.*[&,'/]).{1,50}$)
A user-friendly name to identify the account. This value cannot be changed once the recipient is created.
Returned values: InternationalBankTransfer, LocalBankTransfer
The payout method of the recipient:
LocalBankTransfer– The account can only receive the corresponding localCurrencyfor theCountryvia the domestic payment rail (e.g.EURvia a SEPA local scheme to a SEPA country,GBPvia FPS to aGBaccount,USDvia ACH to aUSaccount, etc). Payouts in non-local currencies return an error.InternationalBankTransfer– The account can receive both non-local currencies via SWIFT and also local currency via domestic rails.
Returned values: Individual, Business
The recipient type:
Individual– An account held by a natural person, requiring theIndividualRecipientproperty.Business– An account held by a legal entity, requiring theBusinessRecipientproperty.
Possible values: AED, AUD, CAD, CHF, CNH, CZK, DKK, EUR, GBP, HKD, HUF, ILS, JPY, MXN, NOK, NZD, PLN, RON, SAR, SEK, SGD, TRY, USD, ZAR
The currency of the recipient.
Format: Two-letter country code (ISO 3166-1 alpha-2 format)
The destination country of the payout method.
Returned values: PENDING, CANCELED, ACTIVE, DEACTIVATED
The status of the recipient:
PENDING– ForPAYOUTscope recipients, the user must complete SCA before the recipient can becomeACTIVE. ForPAYINscope recipients, the recipient creation is in progress.CANCELED– SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve anotherPendingUserAction.RedirectUrl. TheCANCELEDstatus does not apply ifRecipientScopeisPAYIN.ACTIVE– Recipient creation was successful (including SCA ifRecipientScopeisPAYOUT) and the recipient is ready to be used for payouts.DEACTIVATED– The recipient has been permanently deactivated and can no longer be used.
Returned values: PAYIN, PAYOUT
The scope of the recipient:
PAYOUT– Usable for payouts and in pay-in use cases. APAYOUTrecipient can only be created by a user with theUserCategoryOWNERand requires SCA.PAYIN- Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. APAYINrecipient can be created by a user with theUserCategoryPAYERorOWNER, and does not require SCA.
Both PAYIN and PAYOUT scopes can be created for either InternationalBankTransfer or LocalBankTransfer, and for either IndividualRecipient or BusinessRecipient, and for any Currency.